%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname LocalFS
%define productver  1.0patch0.3

Name:               zope-%{productname}
Summary:            A Zope product: Local Filesystem
Version:            %{productver} 
Release:            1ogger00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/SmileyChris/%{productname}_Patched
Source:             %{productname}_Patched.zip
Vendor:             OGGER
Distribution:       Zope
Packager:           Ogger <ogger@ya.com>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description
This product allows you to serve files and browse directories from the 
local file system (or network shares on Windows platforms). It also
allows you to upload files to the file system.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}
rm -f *.pyc

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES HISTORY.txt LICENSE README.txt TODO VERSION.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Mon Mar 25 2004 Ogger <ogger@ya.com> 1.0patch0.3-1ogger00
- Initial release
